Subject: Re: bug#24982: 24.5; way to let Elisp reader ignore unreadable #(...) constructs

From: Richard Stallman <[email-masked]>
Date: Sun, 13 Feb 2022 23:15:54 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Anyway, there was some discussion about this in the context of the new
  > readablep function and the `print-unreadable-function' variable.  We
  > could indeed introduce a new `read-unreadable-function' variable that's
  > called when we encounter a #< instead of throwing an error (with no
  > performance impact).

  > Does anybody see any major downsides to doing that?  We've been wary of
  > allowing the users to customise the Emacs Lisp reader, but this seems
  > like a very small thing.  And it'd allow people to implement having

I think it is asking for trouble to make `read' extensible, because
then people will extend it in different, incompatible ways.  That is
asking for trouble.

Uniformity is what we need here.  If we want to handle some additional
read syntax, we should implement it in the C code so that it works the
same for everyone.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)